<form action="{$VAL_SELF}" method="post" enctype="multipart/form-data">
  <div id="custom_order_status_with_traffic_lights" class="tab_content">
	<h3>Custom Order Status</h3>
	<p>Custom order status with traffic lights</h3></p>
	<fieldset><legend>Settings</legend>
	  <div><label for="status">{$LANG.common.status}</label><span><input type="hidden" name="module[status]" id="status" class="toggle" value="{$MODULE.status}" />&nbsp;</span></div>
	</fieldset>  

	<fieldset><legend>License Settings</legend>
		<div><label for="ndl_license_key">License Key</label><span><input name="module[ndl_license_key]" id="ndl_license_key" class="textbox" type="text" value="{$PLUGIN_LICENSE_KEY}" /></span></div>
		{$PLUGIN_LICENSE_STATUS}
		{$PLUGIN_SUPPORT_STATUS}
		{if isset($PLUGIN_SUPPORT_ENDS)}
			{$PLUGIN_SUPPORT_ENDS}	
		{/if}
		<input type="hidden" name="module[general_tab]" value="general_tab">
	</fieldset>

	<fieldset><legend>Plugin Version Information & Messages</legend>
		<div>Version: {$PLUGIN_VERSION} </div>
		{if isset($PLUGIN_MESSAGES)}
			{$PLUGIN_MESSAGES}
		{/if}
	</fieldset>	
	
	<script type="text/javascript" src="{$STORE_URL}/modules/plugins/custom_order_status_with_traffic_lights/js/jscolor.js"></script> 

	<fieldset><legend>Assign Colours to Standard CubeCart Order Status</legend>	  
		<div>
			<label for="pending">Pending</label>
			<span id="pending">
				#<input name="custom_order_status_colour[1]" class="number color" type="text" placeholder="Colour" value="{$ORDER_STATUS_1}" />
			</span>
		</div>

		<div>
			<label for="processing">Processing</label>
			<span id="processing">
				#<input name="custom_order_status_colour[2]" class="number color" type="text" placeholder="Colour" value="{$ORDER_STATUS_2}" />
			</span>
		</div>		

		<div>
			<label for="complete">Order Complete</label>
			<span id="complete">
				#<input name="custom_order_status_colour[3]" class="number color" type="text" placeholder="Colour" value="{$ORDER_STATUS_3}" />
			</span>
		</div>				

		<div>
			<label for="declined">Declined</label>
			<span id="declined">
				#<input name="custom_order_status_colour[4]" class="number color" type="text" placeholder="Colour" value="{$ORDER_STATUS_4}" />
			</span>
		</div>	
		
		<div>
			<label for="fraud">Failed Fraud Review</label>
			<span id="fraud">
				#<input name="custom_order_status_colour[5]" class="number color" type="text" placeholder="Colour" value="{$ORDER_STATUS_5}" />
			</span>
		</div>			
		
		<div>
			<label for="cancelled">Cancelled</label>
			<span id="cancelled">
				#<input name="custom_order_status_colour[6]" class="number color" type="text" placeholder="Colour" value="{$ORDER_STATUS_6}" />
			</span>
		</div>					
		
	</fieldset>
	
	  
	<fieldset><legend>Add New Order Status</legend>	  
		<div>
			<label for="textbox">Order Status</label>
			<span>
				<input name="add_new_custom_order_status" id="add_new_custom_order_status" class="textbox" type="text" placeholder="New Custom Order Status" />
			</span>
			<span>
				#<input name="add_new_custom_order_status_colour" id="add_new_custom_order_status_colour" class="number color" type="text" placeholder="Colour" />
			</span>				
		</div>
	</fieldset>
	  
	{if $CUSTOM_ORDER_STATUS}
		<fieldset><legend>Manage Custom Order Status</legend>

			<table>
				<thead>
					<tr>
						<td>{$LANG.customer_order_status_with_traffic_lights.custom_status}</td>
						<td>{$LANG.customer_order_status_with_traffic_lights.colour}</td>
						<td>{$LANG.customer_order_status_with_traffic_lights.unsettled}</td>
						<td>{$LANG.customer_order_status_with_traffic_lights.count_as_sale}</td>
						<td>&nbsp;</td>
					</tr>
				</thead>
				<tbody>
				{foreach from=$CUSTOM_ORDER_STATUS item=custom_status}
					<tr>
						<td>
							<input name="custom_order_status[{$custom_status.id}]" id="custom_order_status_{$custom_status.id}" class="textbox" type="text" value="{$custom_status.string}" />
						</td>
						<td>
							<input name="custom_order_status_colour[{$custom_status.id}]" id="custom_order_status_colour_{$custom_status.id}" class="number color" type="text" value="{$custom_status.colour}" />
						</td>
						<td style="text-align: center;">
							<input type="hidden" name="custom_order_status_unsettled[{$custom_status.id}]" id="custom_order_status_unsettled_{$custom_status.id}" class="toggle" value="{$custom_status.unsettled}" />
						</td>
						<td style="text-align: center;">
							<input type="hidden" name="custom_order_status_count_as_sale[{$custom_status.id}]" id="custom_order_status_count_as_sale_{$custom_status.id}" class="toggle" value="{$custom_status.count_as_sale}" />
						</td>
						<td>
							<a href="{$VAL_SELF}&del={$custom_status.id}"><img src="{$STORE_URL}/modules/plugins/custom_order_status_with_traffic_lights/images/delete.png" /></a>
						</td>
					</tr>
				{/foreach}
				</tbody>
			</table>
		</fieldset>
	{/if}	
	  
  </div>
  
  <div id="install_guide" class="tab_content">
	<h3>Install Guide</h3>
	<p>If you are using CubeCart version 6.1.9 or higher then you have NO code changes to make, You can start to use the module. yay!</p>

	<p>If you are using CubeCart 6.0.8 or lower then you will need to make the following code change to your store to enable the Email templates to work correctly.<p>
	
	<ol>
		<li>
			<b>Edit documents.email.inc.php</b><p>Open the file &quot;admin/sources/documents.email.inc.php&quot; with your favourite text editor. Notepad++ is recommended. 
			<br/>AROUND LINE NUMBER 228 FIND:
<textarea style="width:100%; height:60px;">
## Add hook
#foreach ($hooks->() as $hook) include $hook
</textarea>
REPLACE WITH:
<textarea style="width:100%; height:60px;">
foreach ($GLOBALS['hooks']->load('admin.documents.email.macros') as $hook) include $hook;
</textarea>
		</li>	
	</ol>


	<p>If you are using CubeCart 6.1.8 or lower then you will need to make the following code change to your store so that the bulk change lists include custom status.<p>
	  <ol>
		  <li>
			  <b>Edit dashboard.index.inc.php</b><p>Open the file &quot;admin/sources/dashboard.index.inc.php&quot; with your favourite text editor. Notepad++ is recommended.
				  <br/>FIND:
<textarea style="width:100%; height:60px;">
$GLOBALS['smarty']->assign('ORDERS', $orders);
</textarea>
ADD BEFORE ON A NEW LINE:
<textarea style="width:100%; height:60px;">
foreach ($GLOBALS['hooks']->load('admin.dashboard.unsettled_orders') as $hook) include $hook;
</textarea>
		  </li>
	  </ol>

  </div>
  
  {$MODULE_ZONES}
  <div class="form_control">
	<input type="submit" name="save" value="{$LANG.common.save}" />
  </div>
  <input type="hidden" name="token" value="{$SESSION_TOKEN}" />
</form>